package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiControlMeasureMapper;
import com.goldenwater.slaj.hazard.domain.TBusiControlMeasure;
import com.goldenwater.slaj.hazard.service.ITBusiControlMeasureService;

/**
 * 管控措施 服务层实现
 */
@Service
public class TBusiControlMeasureServiceImpl implements ITBusiControlMeasureService {

    @Autowired
    private TBusiControlMeasureMapper tBusiControlMeasureMapper;

    @Override
    public TBusiControlMeasure selectTBusiControlMeasureByGuid(String guid) {
        return tBusiControlMeasureMapper.selectTBusiControlMeasureByGuid(guid);
    }

    @Override
    public List<TBusiControlMeasure> selectTBusiControlMeasureList(TBusiControlMeasure tBusiControlMeasure) {
        return tBusiControlMeasureMapper.selectTBusiControlMeasureList(tBusiControlMeasure);
    }

    @Override
    public int insertTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure) {
        return tBusiControlMeasureMapper.insertTBusiControlMeasure(tBusiControlMeasure);
    }

    @Override
    public int updateTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure) {
        return tBusiControlMeasureMapper.updateTBusiControlMeasure(tBusiControlMeasure);
    }

    @Override
    public int deleteTBusiControlMeasureByGuid(String guid) {
        return tBusiControlMeasureMapper.deleteTBusiControlMeasureByGuid(guid);
    }

    @Override
    public int deleteTBusiControlMeasureByGuids(String[] guids) {
        return tBusiControlMeasureMapper.deleteTBusiControlMeasureByGuids(guids);
    }
}
